SDL_AudioStreamDevicePaused(3)

NAME
SDL_AudioStreamDevicePaused - Use this function to query if an audio device associated with a stream is paused.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_AudioStreamDevicePaused(SDL_AudioStream *stream);

DESCRIPTION
Unlike in SDL2, audio devices start in an _unpaused_ state, since an app has to bind a stream before any audio will flow.

FUNCTION PARAMETERS

stream
    the audio stream associated with the audio device to query.

RETURN VALUE
Returns true if device is valid and paused, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_PauseAudioStreamDevice(3), •(3), SDL_ResumeAudioStreamDevice(3)